Bug 1034378 - RFE: Should not need to republish (node publish) repositories when parent hostname is changed.
Summary: RFE: Should not need to republish (node publish) repositories when parent hos...
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Pulp
Classification: Retired
Component: nodes
Version: 2.3
Hardware: Unspecified
OS: Unspecified
low
unspecified
Target Milestone: ---
: ---
Assignee: pulp-bugs
QA Contact: pulp-qe-list
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-11-25 17:24 UTC by Jeff Ortel
Modified: 2015-02-28 23:41 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-19 01:12:13 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Pulp Redmine 212 0 None None None Never

Description Jeff Ortel 2013-11-25 17:24:59 UTC
Description of problem:

The download URL published for each unit includes the hostname.  So, when the parent node's hostname is changed, repositories need to be (node) published.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Setup parent and child node.
2. (node) Publish a repository.
3. Sync the child. 

Actual results:

Get 404 downloading files associated with content units (rpms).

Expected results:

Should just work.


Additional info:

Comment 1 Brian Bouterse 2015-02-19 01:12:13 UTC
Moved to https://pulp.plan.io/issues/212


Note You need to log in before you can comment on or make changes to this bug.